# private-shared-object-provides
%define __noautoprov 'Util.so'

%define upstream_name    Scalar-List-Utils
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:	1
Summary:    List utilities (eg min, max, reduce)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
'List::Util' contains a selection of subroutines that people have expressed
would be nice to have in the perl core, but the usage would not really be
high enough to warrant the use of a keyword, and the size so small such
that being individual extensions would be wasteful.

By default 'List::Util' does not export any subroutines. The subroutines
defined are

* first BLOCK LIST

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%clean

%files
%doc Changes README META.json META.yml 
%{_mandir}/man3/*
%{perl_vendorlib}/*






%changelog

* Sun Jun 07 2015 abfonly <John@smith.org> 1.420.0-1
- (33f3b3a) Log: Update to 1.420.0, fixed provides, (make it easy for Denis, just launch the build).


